# ------------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# ------------------------------------------------------------------------------

from azdata.cli.core.i18n import translate
from azdata.cli.core.commands import CliCommandsLoader

_ = translate('azdata.cli.commands.config')
import azdata.cli.commands.config.help  # pylint: disable=W0611,C0413

__all__ = ['_', 'COMMAND_LOADER_CLS']


class ConfigCommandsLoader(CliCommandsLoader):

    def __init__(self, cli_ctx=None):
        super(ConfigCommandsLoader, self).__init__(cli_ctx=cli_ctx)

    def load_command_table(self, args):
        from azdata.cli.commands.config.command_table import load_command_table
        load_command_table(self, args)
        return self.command_table

    def load_arguments(self, command):
        from azdata.cli.commands.config.arguments import load_arguments
        load_arguments(self, command)


COMMAND_LOADER_CLS = ConfigCommandsLoader
