# ------------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# ------------------------------------------------------------------------------

from azdata.cli.core.exceptions import CliError
import azdata.cli.core.deploy as util

def config_upgrade(client, name):
    """
    Upgrades configuration in the cluster.
    :param client:
    :param name:
    :return:
    """
    # TODO change the method when implementing
    #
    try:
        apis = client.apis      # handle to all the controller APIS
        stdout = client.stdout  # handle to stdout to display messages

        # -- Check Kubectl Context --
        util.check_and_set_kubectl_context()

        client.upgrade_config(name)
    except ValueError as e:
        raise CliError(e)
    except Exception as e:
        raise CliError(e)

def config_set(client, name):
    """
    Sets configuration settings provided in the cluster.
    :param client:
    :param name:
    :return:
    """
    # TODO change the method when implementing.
    #
    try:
        apis = client.apis      # handle to all the controller APIS
        stdout = client.stdout  # handle to stdout to display messages

        # -- Check Kubectl Context --
        util.check_and_set_kubectl_context()

        client.set_config(name)
    except ValueError as e:
        raise CliError(e)
    except Exception as e:
        raise CliError(e)

